com.genesyslab.wfm8.API.service.forecast810

## Class FrcTargetForecastInformation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcTargetForecastInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcTargetForecastInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `commentArraySize` Comments array size
    `protected java.util.List<FrcDataComment>` | `comments` Comments
    `protected java.util.List<FrcData>` | `data` Forecast data
    `protected int` | `dataArraySize` Data array size
    `protected double` | `end` Period end date
    `protected int` | `granularity` Data granularity
    `protected java.util.List<FrcDataObjectives>` | `objectives` Objectives
    `protected int` | `objectivesArraySize` Objectives array size
    `protected java.util.List<FrcDataParameters>` | `parameters` Parameters
    `protected int` | `parametersArraySize` Parameters array size
    `protected java.util.List<FrcPeriodParameters>` | `periodParameters` Period Parameters
    `protected int` | `periodParametersArraySize` Period Parameters array size
    `private static long` | `serialVersionUID`
    `protected double` | `start` Period start date
    `protected int` | `target` Target level
    `protected int` | `targetId` Target ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcTargetForecastInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getCommentArraySize()` Gets the commentArraySize value for this FrcTargetForecastInformation.
    `java.util.List<FrcDataComment>` | `getComments()` Gets the comments value for this FrcTargetForecastInformation.
    `java.util.List<FrcData>` | `getData()` Gets the data value for this FrcTargetForecastInformation.
    `int` | `getDataArraySize()` Gets the dataArraySize value for this FrcTargetForecastInformation.
    `double` | `getEnd()` Gets the end value for this FrcTargetForecastInformation.
    `int` | `getGranularity()` Gets the granularity value for this FrcTargetForecastInformation.
    `java.util.List<FrcDataObjectives>` | `getObjectives()` Gets the objectives value for this FrcTargetForecastInformation.
    `int` | `getObjectivesArraySize()` Gets the objectivesArraySize value for this FrcTargetForecastInformation.
    `java.util.List<FrcDataParameters>` | `getParameters()` Gets the parameters value for this FrcTargetForecastInformation.
    `int` | `getParametersArraySize()` Gets the parametersArraySize value for this FrcTargetForecastInformation.
    `java.util.List<FrcPeriodParameters>` | `getPeriodParameters()` Gets the periodParameters value for this FrcTargetForecastInformation.
    `int` | `getPeriodParametersArraySize()` Gets the periodParametersArraySize value for this FrcTargetForecastInformation.
    `double` | `getStart()` Gets the start value for this FrcTargetForecastInformation.
    `int` | `getTarget()` Gets the target value for this FrcTargetForecastInformation.
    `int` | `getTargetId()` Gets the targetId value for this FrcTargetForecastInformation.
    `int` | `hashCode()`
    `void` | `setCommentArraySize(int commentArraySize)` Sets the commentArraySize value for this FrcTargetForecastInformation.
    `void` | `setComments(java.util.List<FrcDataComment> comments)` Sets the comments value for this FrcTargetForecastInformation.
    `void` | `setData(java.util.List<FrcData> data)` Sets the data value for this FrcTargetForecastInformation.
    `void` | `setDataArraySize(int dataArraySize)` Sets the dataArraySize value for this FrcTargetForecastInformation.
    `void` | `setEnd(double end)` Sets the end value for this FrcTargetForecastInformation.
    `void` | `setGranularity(int granularity)` Sets the granularity value for this FrcTargetForecastInformation.
    `void` | `setObjectives(java.util.List<FrcDataObjectives> objectives)` Sets the objectives value for this FrcTargetForecastInformation.
    `void` | `setObjectivesArraySize(int objectivesArraySize)` Sets the objectivesArraySize value for this FrcTargetForecastInformation.
    `void` | `setParameters(java.util.List<FrcDataParameters> parameters)` Sets the parameters value for this FrcTargetForecastInformation.
    `void` | `setParametersArraySize(int parametersArraySize)` Sets the parametersArraySize value for this FrcTargetForecastInformation.
    `void` | `setPeriodParameters(java.util.List<FrcPeriodParameters> periodParameters)` Sets the periodParameters value for this FrcTargetForecastInformation.
    `void` | `setPeriodParametersArraySize(int periodParametersArraySize)` Sets the periodParametersArraySize value for this FrcTargetForecastInformation.
    `void` | `setStart(double start)` Sets the start value for this FrcTargetForecastInformation.
    `void` | `setTarget(int target)` Sets the target value for this FrcTargetForecastInformation.
    `void` | `setTargetId(int targetId)` Sets the targetId value for this FrcTargetForecastInformation.
    `java.lang.String` | `toString()`
    `FrcTargetForecastInformation` | `withCommentArraySize(int value)`
    `FrcTargetForecastInformation` | `withComments(java.util.Collection<FrcDataComment> values)`
    `FrcTargetForecastInformation` | `withComments(FrcDataComment... values)`
    `FrcTargetForecastInformation` | `withData(java.util.Collection<FrcData> values)`
    `FrcTargetForecastInformation` | `withData(FrcData... values)`
    `FrcTargetForecastInformation` | `withDataArraySize(int value)`
    `FrcTargetForecastInformation` | `withEnd(double value)`
    `FrcTargetForecastInformation` | `withGranularity(int value)`
    `FrcTargetForecastInformation` | `withObjectives(java.util.Collection<FrcDataObjectives> values)`
    `FrcTargetForecastInformation` | `withObjectives(FrcDataObjectives... values)`
    `FrcTargetForecastInformation` | `withObjectivesArraySize(int value)`
    `FrcTargetForecastInformation` | `withParameters(java.util.Collection<FrcDataParameters> values)`
    `FrcTargetForecastInformation` | `withParameters(FrcDataParameters... values)`
    `FrcTargetForecastInformation` | `withParametersArraySize(int value)`
    `FrcTargetForecastInformation` | `withPeriodParameters(java.util.Collection<FrcPeriodParameters> values)`
    `FrcTargetForecastInformation` | `withPeriodParameters(FrcPeriodParameters... values)`
    `FrcTargetForecastInformation` | `withPeriodParametersArraySize(int value)`
    `FrcTargetForecastInformation` | `withStart(double value)`
    `FrcTargetForecastInformation` | `withTarget(int value)`
    `FrcTargetForecastInformation` | `withTargetId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### targetId

          protected int targetId

      Target ID

    - #### target

          protected int target

      Target level

    - #### start

          protected double start

      Period start date

    - #### end

          protected double end

      Period end date

    - #### granularity

          protected int granularity

      Data granularity

    - #### parametersArraySize

          protected int parametersArraySize

      Parameters array size

    - #### parameters

          protected java.util.List<FrcDataParameters> parameters

      Parameters

    - #### objectivesArraySize

          protected int objectivesArraySize

      Objectives array size

    - #### objectives

          protected java.util.List<FrcDataObjectives> objectives

      Objectives

    - #### periodParametersArraySize

          protected int periodParametersArraySize

      Period Parameters array size

    - #### periodParameters

          protected java.util.List<FrcPeriodParameters> periodParameters

      Period Parameters

    - #### dataArraySize

          protected int dataArraySize

      Data array size

    - #### data

          protected java.util.List<FrcData> data

      Forecast data

    - #### commentArraySize

          protected int commentArraySize

      Comments array size

    - #### comments

          protected java.util.List<FrcDataComment> comments

      Comments

  - ### Constructor Detail

    - #### FrcTargetForecastInformation

          public FrcTargetForecastInformation()

  - ### Method Detail

    - #### getTargetId

          public int getTargetId()

      Gets the targetId value for this FrcTargetForecastInformation.
      Returns:
        targetId Target level
      See Also:
        `EFrcDataTargets`

    - #### setTargetId

          public void setTargetId(int targetId)

      Sets the targetId value for this FrcTargetForecastInformation.
      Parameters:
        `targetId` - Target level
      See Also:
        `EFrcDataTargets`

    - #### getTarget

          public int getTarget()

      Gets the target value for this FrcTargetForecastInformation.
      Returns:
        target Target identifier

    - #### setTarget

          public void setTarget(int target)

      Sets the target value for this FrcTargetForecastInformation.
      Parameters:
        `target` - Target identifier

    - #### getStart

          public double getStart()

      Gets the start value for this FrcTargetForecastInformation.
      Returns:
        start Requested period start date

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcTargetForecastInformation.
      Parameters:
        `start` - Requested period start date

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcTargetForecastInformation.
      Returns:
        end Requested period end date

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcTargetForecastInformation.
      Parameters:
        `end` - Requested period end date

    - #### getGranularity

          public int getGranularity()

      Gets the granularity value for this FrcTargetForecastInformation.
      Returns:
        granularity Data granularity

    - #### setGranularity

          public void setGranularity(int granularity)

      Sets the granularity value for this FrcTargetForecastInformation.
      Parameters:
        `granularity` - Data granularity

    - #### getParametersArraySize

          public int getParametersArraySize()

      Gets the parametersArraySize value for this FrcTargetForecastInformation.
      Returns:
        parametersArraySize Forecast parameters array size

    - #### setParametersArraySize

          public void setParametersArraySize(int parametersArraySize)

      Sets the parametersArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `parametersArraySize` - Forecast parameters array size

    - #### getParameters

          public java.util.List<FrcDataParameters> getParameters()

      Gets the parameters value for this FrcTargetForecastInformation.
      Returns:
        parameters Forecast parameters array

    - #### setParameters

          public void setParameters(java.util.List<FrcDataParameters> parameters)

      Sets the parameters value for this FrcTargetForecastInformation.
      Parameters:
        `parameters` - Forecast parameters array

    - #### getObjectivesArraySize

          public int getObjectivesArraySize()

      Gets the objectivesArraySize value for this FrcTargetForecastInformation.
      Returns:
        objectivesArraySize Forecast objectives array size

    - #### setObjectivesArraySize

          public void setObjectivesArraySize(int objectivesArraySize)

      Sets the objectivesArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `objectivesArraySize` - Forecast objectives array size

    - #### getObjectives

          public java.util.List<FrcDataObjectives> getObjectives()

      Gets the objectives value for this FrcTargetForecastInformation.
      Returns:
        objectives Forecast objectives array

    - #### setObjectives

          public void setObjectives(java.util.List<FrcDataObjectives> objectives)

      Sets the objectives value for this FrcTargetForecastInformation.
      Parameters:
        `objectives` - Forecast objectives array

    - #### getPeriodParametersArraySize

          public int getPeriodParametersArraySize()

      Gets the periodParametersArraySize value for this FrcTargetForecastInformation.
      Returns:
        periodParametersArraySize Forecast period parameters array size

    - #### setPeriodParametersArraySize

          public void setPeriodParametersArraySize(int periodParametersArraySize)

      Sets the periodParametersArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `periodParametersArraySize` - Forecast period parameters array size

    - #### getPeriodParameters

          public java.util.List<FrcPeriodParameters> getPeriodParameters()

      Gets the periodParameters value for this FrcTargetForecastInformation.
      Returns:
        periodParameters Forecast period parameters array

    - #### setPeriodParameters

          public void setPeriodParameters(java.util.List<FrcPeriodParameters> periodParameters)

      Sets the periodParameters value for this FrcTargetForecastInformation.
      Parameters:
        `periodParameters` - Forecast period parameters array

    - #### getDataArraySize

          public int getDataArraySize()

      Gets the dataArraySize value for this FrcTargetForecastInformation.
      Returns:
        dataArraySize Forecast data array size

    - #### setDataArraySize

          public void setDataArraySize(int dataArraySize)

      Sets the dataArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `dataArraySize` - Forecast data array size

    - #### getData

          public java.util.List<FrcData> getData()

      Gets the data value for this FrcTargetForecastInformation.
      Returns:
        data Forecast data array

    - #### setData

          public void setData(java.util.List<FrcData> data)

      Sets the data value for this FrcTargetForecastInformation.
      Parameters:
        `data` - Forecast data array

    - #### getCommentArraySize

          public int getCommentArraySize()

      Gets the commentArraySize value for this FrcTargetForecastInformation.
      Returns:
        commentArraySize Forecast comments array size

    - #### setCommentArraySize

          public void setCommentArraySize(int commentArraySize)

      Sets the commentArraySize value for this FrcTargetForecastInformation.
      Parameters:
        `commentArraySize` - Forecast comments array size

    - #### getComments

          public java.util.List<FrcDataComment> getComments()

      Gets the comments value for this FrcTargetForecastInformation.
      Returns:
        comments Forecast comments array

    - #### setComments

          public void setComments(java.util.List<FrcDataComment> comments)

      Sets the comments value for this FrcTargetForecastInformation.
      Parameters:
        `comments` - Forecast comments array

    - #### withComments

          public FrcTargetForecastInformation withComments(java.util.Collection<FrcDataComment> values)

    - #### withComments

          public FrcTargetForecastInformation withComments(FrcDataComment... values)

    - #### withCommentArraySize

          public FrcTargetForecastInformation withCommentArraySize(int value)

    - #### withData

          public FrcTargetForecastInformation withData(java.util.Collection<FrcData> values)

    - #### withData

          public FrcTargetForecastInformation withData(FrcData... values)

    - #### withDataArraySize

          public FrcTargetForecastInformation withDataArraySize(int value)

    - #### withObjectives

          public FrcTargetForecastInformation withObjectives(java.util.Collection<FrcDataObjectives> values)

    - #### withObjectives

          public FrcTargetForecastInformation withObjectives(FrcDataObjectives... values)

    - #### withObjectivesArraySize

          public FrcTargetForecastInformation withObjectivesArraySize(int value)

    - #### withParameters

          public FrcTargetForecastInformation withParameters(java.util.Collection<FrcDataParameters> values)

    - #### withParameters

          public FrcTargetForecastInformation withParameters(FrcDataParameters... values)

    - #### withParametersArraySize

          public FrcTargetForecastInformation withParametersArraySize(int value)

    - #### withPeriodParameters

          public FrcTargetForecastInformation withPeriodParameters(java.util.Collection<FrcPeriodParameters> values)

    - #### withPeriodParameters

          public FrcTargetForecastInformation withPeriodParameters(FrcPeriodParameters... values)

    - #### withPeriodParametersArraySize

          public FrcTargetForecastInformation withPeriodParametersArraySize(int value)

    - #### withGranularity

          public FrcTargetForecastInformation withGranularity(int value)

    - #### withTarget

          public FrcTargetForecastInformation withTarget(int value)

    - #### withTargetId

          public FrcTargetForecastInformation withTargetId(int value)

    - #### withStart

          public FrcTargetForecastInformation withStart(double value)

    - #### withEnd

          public FrcTargetForecastInformation withEnd(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.